Subject: Re: bug#17722: Makefile rule fix and cleanup patches

From: Paul Eggert <[email-masked]>
Date: Fri, 06 Jun 2014 23:56:46 -0700

Jim Meyering wrote:

> why wouldn't we want to keep the build rules simple and the same
> for everyone?

We wouldn't want to do that if it entailed bloated and opaque 
executables on all platforms, or if it entailed too-complicated C 
programs on all platforms.  We should be able to avoid both problems.

Perhaps we could supply a different build recipe for platforms that lack 
a working shell.  Such platforms can't run shell scripts, after all, so 
maybe it would suffice to supply a text file or a comment containing 
build instructions for such platforms.